#!/usr/bin/perl

use Cwd;

open(BLDINF, "<bld.inf") || die "cannot open bld.inf";
$rootdir=getcwd;

while(<BLDINF>) {
	next unless (/mmp$/i);
	
	chop; s/
//;
	$mmp=$_;

	/^(.*)\\([^\\]*).mmp$/i;
	($path, $file)=($1, $2);
	$file .= ".pkg";

	chdir($rootdir) || die "cannot chdir to $rootdir";
	chdir($path) || die "cannot chdir to $path";

	$cmd="makesis $file";
	open(RES, "$cmd 2>&1 |");
	while(<RES>) {
		print $_;
		$error=1 if (/error/i);
	}
	close(RES);
	exit $error if ($error);
}

close(BLDINF);

exit 0;
		
